import { AuthUser, type OAuth2Token } from "./auth.js";
import { BaseProvider } from "./base_provider.js";
export declare const NameBitbucket = "bitbucket";
export declare class Bitbucket extends BaseProvider {
    constructor();
    FetchAuthUser(token: OAuth2Token): Promise<AuthUser>;
    private fetchPrimaryEmail;
}
